#include "reparto.h"

Paziente* readPazienti(char* fileName,int* dim)
{
	FILE* fp;
	Paziente* ap;
	Paziente temp;
	int i;
	
	if((fp=fopen(fileName,"r"))==NULL)
	{
		printf("Errore: file \"%s\" non trovato\n",fileName);
		exit(1);
	}
	
	(*dim)=0;
	
	while(fscanf(fp,"%s%s%s%d %c%s",temp.codicePaziente,temp.nome,temp.cognome,&temp.eta,&temp.cat_malattia,temp.cartellaClinica)==6)
		(*dim)++;
	
	ap=(Paziente*)malloc((*dim)*sizeof(Paziente)); 
	
	rewind(fp);
	
	for(i=0;i<(*dim);++i)
		fscanf(fp,"%s%s%s%d %c%s\n",ap[i].codicePaziente,ap[i].nome,ap[i].cognome,&ap[i].eta,&ap[i].cat_malattia,ap[i].cartellaClinica);
	
	fclose(fp);
	
	return(ap);
}

void stampaPaziente(Paziente p)
{
	printf("\n\tCodice: %s\n\tNome: %s\n\tCognome: %s\n\tEtà: %d\n\tCat. Malattia: %c\n\tCartella Clinica: %s\n",p.codicePaziente,p.nome,p.cognome,p.eta,p.cat_malattia,p.cartellaClinica);
	
	return;
}

Cartella* cartellaClinica(Paziente p,int* dim,float* costo)
{
	Cartella* ap;
	Cartella temp;
	FILE* fp;
	int i;
	
	(*dim)=0;
	
	if((fp=fopen(p.cartellaClinica,"r"))==NULL)
	{
		printf("Errore: file \"%s\" non trovato\n",p.cartellaClinica);
		exit(1);
	}
	
	while(fscanf(fp,"%d%d",&temp.cat_cura,&temp.n_dosi)==2)
		(*dim)++;
	
	ap=(Cartella*)malloc((*dim)*sizeof(Cartella)); 
	
	(*costo)=0;
	
	rewind(fp);
	
	for(i=0;i<(*dim);++i)
	{
		fscanf(fp,"%d%d\n",&ap[i].cat_cura,&ap[i].n_dosi);
		(*costo)+=(ap[i].n_dosi)*(ap[i].cat_cura)*2.5;
	}
	
	fclose(fp);
		
	return(ap);
}
